Bug 1017579 - libhdfs: devel-file-in-non-devel-package /usr/lib64/libhdfs.so
libhdfs: devel-file-in-non-devel-package /usr/lib64/libhdfs.so
Product: Fedora
Classification: Fedora
Component: hadoop (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Rati
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-10 04:11 EDT by Mattias Ellert
Modified: 2013-10-15 02:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: hadoop-2.0.5-12.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-15 02:33:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2013-10-10 04:11:27 EDT
Description of problem:

$ rpmlint libhdfs
libhdfs.x86_64: W: spelling-error %description -l en_US Hadoop -> Hardtop
libhdfs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libhdfs.so
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Version-Release number of selected component (if applicable):


The /usr/lib64/libhdfs.so symlink should be in the hadoop-devel package (together with the corresponding headerfile /usr/include/hadoop/hdfs.h which is already there).
Comment 1 Fedora Update System 2013-10-10 18:11:19 EDT
hadoop-2.0.5-12.fc20 has been submitted as an update for Fedora 20.
Comment 2 Fedora Update System 2013-10-11 12:50:59 EDT
Package hadoop-2.0.5-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hadoop-2.0.5-12.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-10-15 02:33:09 EDT
hadoop-2.0.5-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.